#include <iostream>
#include <algorithm>

using namespace std;


int main() {
	int p,q,r;
	long long int L,R;
	cin>>p>>q>>r;
	cin>>L>>R;
	float s=0;
	long long int f=0;
	long long int prom=0;
		int w=0;
		int z=0;
	int max;
	int y=0;

	if(p==1 || q==1 || r==1) f=0;//???
	else if(((1/float(p))+(1/float(q))+(1/float(r)))==1){
	if(p>=q && p>=r)max=p;
	if(q>=p && q>=r)max=q;
	if(r>=p && r>=q)max=r;
	
	for(int i=L;i<=R;i++){
		if((i%max)==0) break;
		y++;
	}
	f=(R-L+1-y)/max+1;
	}
	
	else{
		float a,b,c;
		if(L%p!=0) a=(L/p)+1;
			else a=L/p;
		if(L%q!=0) b=(L/q)+1;
			else b=L/q;
		if(L%r!=0) c=(L/r)+1;
			else c=L/r;
		s=a+b+c;

		for(int i=L;i<=R;i++){
			if(i!=L){
			if(i%p==1)s++;
			if(i%q==1)s++;
			if(i%r==1)s++;
		}
			if(s<=i){
				f++;//resenje
				w++;//const
				z=0;
			//	cout<<s<<" "<<i<<endl; //test
			}
			else {
				w=0;
				prom++;//pogresni
				z++;//const 2
			}
			
			if(w==3*(p+r+q)){
				f=(R-L+1)-prom;
				break;
			}
			if(z==3*(p+r+q)){
				break;
			}
		}	
	}
	cout<<f;

	return 0;
}